<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/slim-core.css">
    <link rel="stylesheet" href="../css/slim-core-components.css">
    <title>Spacing</title>
    <style>
        .rect {
            width: 100px;
            height: 100px;
            text-align: center;
        }
    </style>
</head>
<body class="container pt-5">
    <div class="text-left">
        <a href="./index.html">Previous</a>
    </div>
    <br>

    <h1>8- Positions</h1>
    <br>

    <h3>Positions</h3>
    <ul>
        <li>position static (<span class="text-italic text-bold">.pos-sta</span>)</li>
        <li>position relative (<span class="text-italic text-bold">.pos-rel</span>)</li>
        <li>position absolute (<span class="text-italic text-bold">.pos-abs</span>)</li>
        <li>position fixed (<span class="text-italic text-bold">.pos-fix</span>)</li>
        <li>position sticky (<span class="text-italic text-bold">.pos-sty</span>)</li>
    </ul>
    <br><br>

    <h3>Directions</h3>
    <div class="d-grid of-3 gap-1 pos-rel" style="height: 80vh;">
        <div class="pos-rel bg-primary">
            <div class="square-96 m-1 bg-white pos-abs ft fl">ft.fl</div>
        </div>
        <div class="pos-rel bg-primary">
            <div class="square-96 m-1 bg-white pos-abs ft fx">ft.fx</div>
        </div>
        <div class="pos-rel bg-primary">
            <div class="square-96 m-1 bg-white pos-abs ft fr">ft.fr</div>
        </div>
        <div class="pos-rel bg-primary">
            <div class="square-96 m-1 bg-white pos-abs fy fl">fy.fl</div>
        </div>
        <div class="pos-rel bg-primary">
            <div class="square-96 m-1 bg-white pos-abs fy fx">fy.fx</div>
        </div>
        <div class="pos-rel bg-primary">
            <div class="square-96 m-1 bg-white pos-abs fy fr">fy.fr</div>
        </div>
        <div class="pos-rel bg-primary">
            <div class="square-96 m-1 bg-white pos-abs fb fl">fb.fl</div>
        </div>
        <div class="pos-rel bg-primary">
            <div class="square-96 m-1 bg-white pos-abs fx fb">fb.fx</div>
        </div>
        <div class="pos-rel bg-primary">
            <div class="square-96 m-1 bg-white pos-abs fb fr">fb.fr</div>
        </div>
    </div>
    <br><br>
</body>
</html>